<template lang='pug'>
div(v-bind:class="['b-ribbon', positionClass]")
  span {{ value }}
</template>

<script>

export { default } from "./BaseRibbon.vue.js";

</script>

<style>
.b-ribbon {
  width: 120px;
  height: 120px;
  overflow: hidden;
  position: absolute;
  pointer-events: none;
}
.b-ribbon::before,
.b-ribbon::after {
  position: absolute;
  /* z-index: -1; */
  content: '';
  display: block;
  border: 1.5px solid #2980b9;
}
.b-ribbon span {
  position: absolute;
  display: block;
  width: 170px;
  padding: 10px 0;
  background-color: #3498db;
  box-shadow: 0 5px 10px rgba(0,0,0,.1);
  color: #fff;
  font: 700 12px/1 'Lato', sans-serif;
  text-shadow: 0 1px 1px rgba(0,0,0,.2);
  text-transform: uppercase;
  text-align: center;
}

/* top left*/
.b-ribbon-top-left {
  top: -4px;
  left: -4px;
}
.b-ribbon-top-left::before,
.b-ribbon-top-left::after {
  border-top-color: transparent;
  border-left-color: transparent;
}
.b-ribbon-top-left::before {
  top: 0;
  right: 0;
}
.b-ribbon-top-left::after {
  bottom: 0;
  left: 0;
}
.b-ribbon-top-left span {
  right: -14px;
  top: 33px;
  transform: rotate(-45deg);
}

/* top right*/
.b-ribbon-top-right {
  top: -4px;
  right: -4px;
}
.b-ribbon-top-right::before,
.b-ribbon-top-right::after {
  border-top-color: transparent;
  border-right-color: transparent;
}
.b-ribbon-top-right::before {
  top: 0;
  left: 0;
}
.b-ribbon-top-right::after {
  bottom: 0;
  right: 0;
}
.b-ribbon-top-right span {
  left: -14px;
  top: 33px;
  transform: rotate(45deg);
}

/* bottom left*/
.b-ribbon-bottom-left {
  bottom: -4px;
  left: -4px;
}
.b-ribbon-bottom-left::before,
.b-ribbon-bottom-left::after {
  border-bottom-color: transparent;
  border-left-color: transparent;
}
.b-ribbon-bottom-left::before {
  bottom: 0;
  right: 0;
}
.b-ribbon-bottom-left::after {
  top: 0;
  left: 0;
}
.b-ribbon-bottom-left span {
  right: -14px;
  bottom: 33px;
  transform: rotate(225deg);
}

/* bottom right*/
.b-ribbon-bottom-right {
  bottom: -4px;
  right: -4px;
}
.b-ribbon-bottom-right::before,
.b-ribbon-bottom-right::after {
  border-bottom-color: transparent;
  border-right-color: transparent;
}
.b-ribbon-bottom-right::before {
  bottom: 0;
  left: 0;
}
.b-ribbon-bottom-right::after {
  top: 0;
  right: 0;
}
.b-ribbon-bottom-right span {
  left: -14px;
  bottom: 33px;
  transform: rotate(-225deg);
}
</style>
